SDXFrameWork 0.09 SDXFrameWork

- Main Page
- Related Pages
- Classes

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Pages
Static Public Member Functions | Public Attributes | List of all members
SDX::Screen Class Reference

描画先を表すクラス. More...

`#include <Screen.h>`

## Static Public Member Functions
static Screen & | Single ()
| シングルトンなインスタンスを取得. More...
static RendererHandle | GetHandle ()
| スクリーンハンドルを取得. More...
static void | SetRenderer (Renderer &描画先Renderer)
| スクリーンハンドルを設定. More...
static bool | SetArea (const Rect &描画領域)
| 描画範囲を設定する、設定範囲外には描画されない[未実装]. More...
static bool | SetBackColor (Color 背景色)
| Screen::Clear後の色を設定. More...
static bool | Flip ()
| 描画内容を反映. More...
static bool | Copy ()
| 裏画面の内容を、表画面にコピー. More...
static bool | Clear ()
| 画面を消去する. More...
static bool | SetBlendMode (BlendMode ブレンドモード, int 設定値)
| ブレンド描画のモードを設定. More...
static bool | SaveBmp (const Rect &領域, const char *ファイル名)
| 描画対象になっている画面の一部をBMP形式で保存[未実装]. More...
static bool | SetBright (Color 輝度)
| 描画輝度を設定. More...
static bool | SetTransColor (Color 輝度)
| 透過色を設定[未実装]. More...

## Public Attributes
BlendMode | nowBlendMode = BlendMode::NoBlend
int | blendParam = 0
Color | clearColor = Color(0, 0, 0)
Color | rgba = Color(255, 255, 255, 0)

## Detailed Description

描画先を表すクラス.

//©SDXFramework http://sourceforge.jp/projects/dxframework/
//🍣初期化を行い何かキーを押すと終了する
bool SampleScreen()
{
using namespace SDX;
System::Initialise("sample", 600, 400);
Image image("image.bmp");
while (System::Update())
{
//輝度を変更して描画
Screen::SetBright(Color::Red);
image.Draw({ 0, 0 });
Screen::SetBright(Color::Green);
image.Draw({ 200, 0 });
Screen::SetBright(Color::Blue);
image.Draw({ 400, 0 });
//半透明描画
Screen::SetBright(Color::White);
Screen::SetBlendMode(BlendMode::Alpha, 128);
image.Draw({ 0, 200 });
Screen::SetBlendMode(BlendMode::NoBlend, 0);
if (Input::key.Return.on) break;//Enterで終了
}
System::End();
return true;
}

## Member Function Documentation

static Screen& SDX::Screen::Single | ( |  | ) |
| static

シングルトンなインスタンスを取得.

static RendererHandle SDX::Screen::GetHandle | ( |  | ) |
| static

スクリーンハンドルを取得.

static void SDX::Screen::SetRenderer | ( | Renderer & | 描画先Renderer | ) |
| static

スクリーンハンドルを設定.

static bool SDX::Screen::SetArea | ( | const Rect & | 描画領域 | ) |
| static

描画範囲を設定する、設定範囲外には描画されない[未実装].

static bool SDX::Screen::SetBackColor | ( | Color | 背景色 | ) |
| static

Screen::Clear後の色を設定.

static bool SDX::Screen::Flip | ( |  | ) |
| static

描画内容を反映.

static bool SDX::Screen::Copy | ( |  | ) |
| static

裏画面の内容を、表画面にコピー.

static bool SDX::Screen::Clear | ( |  | ) |
| static

画面を消去する.

static bool SDX::Screen::SetBlendMode | ( | BlendMode | ブレンドモード,
|  | int | 設定値
| ) |  |
| static

ブレンド描画のモードを設定.

static bool SDX::Screen::SaveBmp | ( | const Rect & | 領域,
|  | const char * | ファイル名
| ) |  |
| static

描画対象になっている画面の一部をBMP形式で保存[未実装].

static bool SDX::Screen::SetBright | ( | Color | 輝度 | ) |
| static

描画輝度を設定.

static bool SDX::Screen::SetTransColor | ( | Color | 輝度 | ) |
| static

透過色を設定[未実装].